curl -X POST \ 'https://app.talkover.ai/api/v1/agents/9fbef0b7-8d4e-4a08-9207-66c22155721d/webhooks' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "My Webhook", "webhook_url": "https://example.com/webhook", "webhook_secret": "optional_secret_for_hmac", "events": ["event_phone_call_started", "event_phone_call_ended"], "timeout": 30, "max_retries": 3, "enabled": true }'
{ "success": true, "message": "Webhook created successfully", "data": { "id": "9fcafbf2-7593-44d6-8cd7-1b221beba62a", "agent_id": "9fbef0b7-8d4e-4a08-9207-66c22155721d", "name": "My Webhook", "webhook_url": "https://example.com/webhook", "events": ["event_phone_call_started", "event_phone_call_ended"], "timeout": 30, "max_retries": 3, "enabled": true, "created_at": "2025-09-03T23:19:51.000000Z", "updated_at": "2025-09-03T23:19:51.000000Z", "events_count": 2, "status": "active" } }
Create a new webhook configuration for an agent
Documentation IndexFetch the complete documentation index at: https://docs.talkover.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
Use this file to discover all available pages before exploring further.
{ "message": "Missing Bearer Token" }
{ "success": false, "message": "Agent not found in this environment." }
{ "message": "The given data was invalid.", "errors": { "webhook_url": ["The webhook url field is required."], "events": ["The events field must contain at least 1 items."] } }
Was this page helpful?